Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class ServerShuttingDownException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      java.rmi.ConnectIOException
                          weblogic.rmi.ServerShuttingDownException

All Implemented Interfaces:
  Serializable, weblogic.common.internal.InteropWriteReplaceable

    public final class ServerShuttingDownException

extends ConnectIOException
implements weblogic.common.internal.InteropWriteReplaceable

This exception is thrown for any new RMI request when the server is suspending.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ServerShuttingDownException(String s)`
`ServerShuttingDownException(String s, Exception e)` Constructs a ServerShuttingDownException with the specified string and nested exception.

Method Summary
`Object` | `interopWriteReplace(weblogic.common.internal.PeerInfo peerInfo)`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerShuttingDownException

    public ServerShuttingDownException(String s)

### ServerShuttingDownException

    public ServerShuttingDownException(String s,
                                       Exception e)

  Constructs a ServerShuttingDownException with the specified string and nested exception.

  Parameters:
    `s` - the string message.
    `e` - the nested exception.

Method Detail

### interopWriteReplace

    public Object interopWriteReplace(weblogic.common.internal.PeerInfo peerInfo)
                               throws IOException

  Specified by:
    `interopWriteReplace` in interface `weblogic.common.internal.InteropWriteReplaceable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD